RVM/rbenv 更新 rvm 的时候碰到的问题

alucardpj · 2012年04月24日 · 最后由 meeasyhappy 回复于 2012年06月03日 · 4439 次阅读

ubuntu 11.10 系统,刚才更新 rvm 碰到这个问题:

rvm get stable % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 185 100 185 0 0 107 0 0:00:01 0:00:01 --:--:-- 1057 100 8798 100 8798 0 0 2582 0 0:00:03 0:00:03 --:--:-- 8102 BASH 3.2.48 required (you have 4.2.10(1)-release) Could not update RVM, get some help at #rvm IRC channel at freenode servers.

怎么 rvm 开始要求 bash 版本了?而且还是低版本的 bash?这怎么整?

共收到 9 条回复

这是个 bug,今天已经修复了。可以试着重新更新试试。

bug 见这里:https://github.com/wayneeseguin/rvm/issues/922

ok 了,多谢

#2 楼 @alucardpj 你是怎么调整安装的?也是提示这个

#3 楼 @Desert 没怎么调整,直接重新 rvm get stable 就可以了啊,好像服务端调整过了

#4 楼 @alucardpj @ashchan 还是这样,我就奇怪了

#5 楼 @Desert 额,你这个是真的 bash 要升级了,注意看 BASH 3.2.48 required (you have 3.2.25(1)-release)

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册